---
title: 4.0 GA
description: TiKV 4.0 GA Release Notes
menu:
    "4.0":
        parent: Releases
        weight: 1
---

Release date: May 28, 2020

TiKV version: 4.0.0

## Important Bug Fixes

+ TiKV

    - Fix the `DefaultNotFound` error that occurs when backing up using Backup & Restore (BR) [#7937](https://github.com/tikv/tikv/pull/7937)
    - Fix system panics caused by the out-of-order `ReadIndex` packages [#7930](https://github.com/tikv/tikv/pull/7930)
    - Fix system panics caused by incorrectly removing snapshot files after TiKV is restarted [#7927](https://github.com/tikv/tikv/pull/7927)

## New Features

+ TiKV

    - Support collation rules of `ascii_bin` and `latin1_bin` encoding [#7919](https://github.com/tikv/tikv/pull/7919)

+ PD

    - Support specifying the reverse proxy resource prefix for built-in TiDB Dashboard [#2457](https://github.com/pingcap/pd/pull/2457)
    - Support returning the `pending peer` and `down peer` information in interfaces of the PD client Region [#2443](https://github.com/pingcap/pd/pull/2443)
    - Add monitoring items such as `Direction of hotspot move leader`, `Direction of hotspot move peer`, and `Hot cache read entry number` [#2448](https://github.com/pingcap/pd/pull/2448)

## Bug Fixes

+ TiKV

    - Fix the `DefaultNotFound` error that occurs when backing up using BR  [#7937](https://github.com/tikv/tikv/pull/7937)
    - Fix system panics caused by out-of-order `ReadIndex` packets [#7930](https://github.com/tikv/tikv/pull/7930)
    - Fix the issue that an unexpected error is returned because the read request callback function is not called [#7921](https://github.com/tikv/tikv/pull/7921)
    - Fix system panics caused by incorrectly removing snapshot files when TiKV is restarted [#7927](https://github.com/tikv/tikv/pull/7927)
    - Fix the issue that the `master key` cannot be rotated due to incorrect processing logic in storage encryption [#7898](https://github.com/tikv/tikv/pull/7898)
    - Fix the issue that the received `lock cf` file of the snapshot is not encrypted when the storage encryption is enabled [#7922](https://github.com/tikv/tikv/pull/7922)

+ PD

    - Fix the 404 error when deleting `evict-leader-scheduler` or `grant-leader-scheduler` using pd-ctl [#2446](https://github.com/pingcap/pd/pull/2446)
    - Fix the issue that the `presplit` feature might not work properly when the TiFlash replica exists [#2447](https://github.com/pingcap/pd/pull/2447)